summaryrefslogtreecommitdiff
path: root/src/is_unfree
diff options
context:
space:
mode:
Diffstat (limited to 'src/is_unfree')
-rwxr-xr-xsrc/is_unfree11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/is_unfree b/src/is_unfree
new file mode 100755
index 0000000..f32c193
--- /dev/null
+++ b/src/is_unfree
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Checks if a package is on blacklist
+
+# fail immediately on error
+set -E
+
+blacklist="$XDG_CONFIG_HOME/libretools/blacklist.txt"
+
+egrep -q "^${1}:" "${blacklist}"
+
+exit $?